#include<string>
#include<iostream>
using namespace std;

int num(char c){
	return 0<=c-48 && c-48<=9;
}

long long s2i(string s){
	long long sum = 0;
	long long pow = 1;
	for(int i=s.length()-1;i>=0;i--){
		sum+=(s[i]-48)*pow;
		pow*=10;
	}
	return sum;
}

string parse(string s){
	bool girl = false;
	if(s.length()<10 || s.length()>11)return "invalid";
	if(s[6]!='/')return "invalid";
	for(int i=0;i<6;i++)
		if(!num(s[i]))return "invalid";
	for(int i=7;i<s.length();i++)
		if(!num(s[i]))return "invalid";
		
	
	int m = s2i(s.substr(2,2));
	if(m>50){m-=50;girl = true;}
	int d = s2i(s.substr(4,2));
	int y = s2i(s.substr(0,2));
	//cout << d << " " << m <<  " " << y << endl;
	if(y>9 && y<20)return "invalid";
	if((y<10|| y>53) && s2i(s.substr(0,6) + s.substr(7))%11!=0)return "invalid";
	
	if(y>= 20 && y<54 && s.length()!=10)return "invalid";
	if((y<10 || y>=54) && s.length()!=11)return "invalid";
	
	if(d==0)return "invalid";
	if(d>31)return "invalid";
	if(d>30 && (m==4 || m==6 || m==9 || m==11))return "invalid";
	if(m>12 || m<1)return "invalid";
	if(d>29 && m==2)return "invalid";
	if(d==29 && m==2 && y%4!=0)return "invalid";
	return girl?"girl":"boy";
}

int main(){
	string s="start";
	while(s!="end"){
		cin >> s;
		if(s=="end")return 0;
		cout << parse(s) << endl;
	}
	return 0;
}
